package com.zanxiang.game.back.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 头条游戏 APP 星广联投AD版监测链接回传数据(文档：<a href="https://bytedance.larkoffice.com/docx/OUQ6d50Rpoga7YxrqUrchWp0ncg">...</a>
 *
 * @TableName t_game_oceanengine_app_callback_xglt
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(GameOceanengineAppCallbackXglt.TABLE_NAME)
public class GameOceanengineAppCallbackXglt implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String TABLE_NAME = "t_game_oceanengine_app_callback_xglt";

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 时间发生日期
     */
    private LocalDate day;

    /**
     * 13位豪秒时间戳
     */
    private Long ts;

    /**
     * 客户端操作系统的类型, 0–Android,1–iOS,2–WP,3-Others
     */
    private Integer os;

    /**
     * User_Agent
     */
    private String ua;

    /**
     * 星广联投AD版的任务id
     */
    private Long demandId;

    /**
     * 用户终端的公共 IP
     */
    private String ip;

    /**
     * 第6版网际协议
     */
    private String ipv6;

    /**
     * 手机型号代码
     */
    private String model;

    /**
     * 视频ID，发布视频后产生的视频唯一ID
     */
    private Long itemId;

    /**
     * 素材ID，广告平台上披露的视频素材ID
     */
    private Long mid3;

    /**
     * 回调参数
     */
    private String callbackParam;

    /**
     * 安卓的设备 IMEI 的 MD5
     */
    private String imeiMd5;

    /**
     * iOS设备IDFA的 MD5
     */
    private String idfaMd5;

    /**
     * Android Q及更高版本的设备号的MD5
     */
    private String oaidMd5;

    /**
     * Android 8及更高版本的设备标识符的MD5
     */
    private String androidIdMd5;

    /**
     * 中国广告协会互联网广告标识，json格式
     */
    private String caidMd5;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}